SlaConfiguration
9 Endpunkte. Basis-URL: https://xapi.ambertech.cloud/api/v1
PUT /sla/calendars/{id}#
PUT
/sla/calendars/{id}ÖffentlichParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
idPflicht | Pfad | string | – |
Request-Body
Keine Felder dokumentiert.
Antworten
- 200OK
Beispiel (cURL)
curl -X PUT "https://xapi.ambertech.cloud/api/v1/sla/calendars/{id}" \
-H "Content-Type: application/json" \
-d '{}'GET /sla/fields/{id}#
GET
/sla/fields/{id}ÖffentlichParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
idPflicht | Pfad | string | – |
Antworten
- 200OK
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/sla/fields/{id}"PUT /sla/fields/{id}#
PUT
/sla/fields/{id}ÖffentlichParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
idPflicht | Pfad | string | – |
Request-Body
Keine Felder dokumentiert.
Antworten
- 200OK
Beispiel (cURL)
curl -X PUT "https://xapi.ambertech.cloud/api/v1/sla/fields/{id}" \
-H "Content-Type: application/json" \
-d '{}'POST /sla/fields/{id}/activate#
POST
/sla/fields/{id}/activateÖffentlichParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
idPflicht | Pfad | string | – |
Request-Body
Keine Felder dokumentiert.
Antworten
- 201Erstellt
Beispiel (cURL)
curl -X POST "https://xapi.ambertech.cloud/api/v1/sla/fields/{id}/activate" \
-H "Content-Type: application/json" \
-d '{}'POST /sla/fields/{id}/disable#
POST
/sla/fields/{id}/disableÖffentlichParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
idPflicht | Pfad | string | – |
Request-Body
Keine Felder dokumentiert.
Antworten
- 201Erstellt
Beispiel (cURL)
curl -X POST "https://xapi.ambertech.cloud/api/v1/sla/fields/{id}/disable" \
-H "Content-Type: application/json" \
-d '{}'GET /sla/spaces/{spaceId}/calendars#
GET
/sla/spaces/{spaceId}/calendarsÖffentlichParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
spaceIdPflicht | Pfad | string | – |
Antworten
- 200OK
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/sla/spaces/{spaceId}/calendars"POST /sla/spaces/{spaceId}/calendars#
POST
/sla/spaces/{spaceId}/calendarsÖffentlichParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
spaceIdPflicht | Pfad | string | – |
Request-Body
Keine Felder dokumentiert.
Antworten
- 201Erstellt
Beispiel (cURL)
curl -X POST "https://xapi.ambertech.cloud/api/v1/sla/spaces/{spaceId}/calendars" \
-H "Content-Type: application/json" \
-d '{}'GET /sla/spaces/{spaceId}/rule-fields#
GET
/sla/spaces/{spaceId}/rule-fieldsÖffentlichParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
spaceIdPflicht | Pfad | string | – |
Antworten
- 200OK
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/sla/spaces/{spaceId}/rule-fields"GET /sla/spaces/{spaceId}/rule-options#
GET
/sla/spaces/{spaceId}/rule-optionsÖffentlichParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
spaceIdPflicht | Pfad | string | – |
fieldPflicht | Query | string | – |
searchPflicht | Query | string | – |
selectedPflicht | Query | string | – |
Antworten
- 200OK
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/sla/spaces/{spaceId}/rule-options"